## skanpage 25.04.1

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015 by Kåre Särs <kare.sars@iki .fi>
# SPDX-FileCopyrightText: 2020 Alexander Stippich <a.stippich@gmx.net>
#
# SPDX-License-Identifier: BSD-2-Clause

include_directories(${skanpage_BINARY_DIR})

add_executable(skanpage)

target_sources(skanpage PRIVATE
    DevicesModel.cpp
    DevicesModel.h
    DocumentModel.cpp
    DocumentModel.h
    DocumentPrinter.cpp
    DocumentPrinter.h
    DocumentSaver.cpp
    DocumentSaver.h
    InProgressPainter.cpp
    InProgressPainter.h
    main.cpp
    OptionsModel.cpp
    OptionsModel.h
    FilteredOptionsModel.cpp
    FilteredOptionsModel.cpp
    Skanpage.cpp
    Skanpage.h
    SkanpageUtils.cpp
    SkanpageUtils.h
    FormatModel.cpp
    FormatModel.h
    OCREngine.cpp
    OCREngine.h
    OCRLanguageModel.cpp
    OCRLanguageModel.h
    ImageImport.cpp
    ImageImport.h
    qml.qrc
    )

ecm_qt_declare_logging_category(skanpage
    HEADER skanpage_debug.h
    IDENTIFIER SKANPAGE_LOG
    CATEGORY_NAME org.kde.skanpage
    DESCRIPTION "Skanpage"
    EXPORT SKANPAGE
)

ecm_qt_install_logging_categories(
    EXPORT SKANPAGE
    FILE skanpage.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

kconfig_add_kcfg_files(skanpage skanpage_state.kcfgc GENERATE_MOC)
kconfig_add_kcfg_files(skanpage skanpage_config.kcfgc GENERATE_MOC)

target_link_libraries(skanpage
  PRIVATE
    Qt::Core
    Qt::Widgets
    Qt::Quick
    Qt::PrintSupport
    Qt::Qml
    Qt::QuickControls2
    Qt::Concurrent
    Qt::Pdf
  PRIVATE
    KSane6::Core
    KF6::CoreAddons
    KF6::I18n
    KF6::Kirigami
    KF6::Crash
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::Purpose
    KF6::XmlGui
    KF6::KIOCore
    KF6::KIOWidgets
    Tesseract::Tesseract
    Leptonica::Leptonica
)
if(TARGET KF6::I18nQml)
target_link_libraries(skanpage PRIVATE
        KF6::I18nQml
)
endif()

install(TARGETS skanpage ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
skanpage (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:20:28 +0100

skanpage (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Build depend on libkf6kio-dev

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:06:51 +0100

=== debian/control ===
Source: skanpage
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.0.0~),
               kquickimageeditor-dev,
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kio-dev,
               libkf6purpose-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libkirigami-dev (>= 6.0.0~),
               libksanecore-dev (>= 25.04.1~),
               libleptonica-dev,
               libtesseract-dev (>= 4~),
               qml6-module-org-kde-kquickimageeditor,
               qml6-module-org-kde-purpose (>= 6.0.0~),
               qml6-module-qt-labs-platform (>= 6.5.0~),
               qml6-module-qtquick-dialogs (>= 6.5.0~),
               qml6-module-qtquick-window (>= 6.5.0~),
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-pdf-dev (>= 6.5.0~),
               qt6-webengine-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/skanpage
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanpage
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanpage
Rules-Requires-Root: no

Package: skanpage
Architecture: amd64 arm64 armhf
Depends: qml6-module-qtqml-workerscript,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Multi-page scanning and saving of documents and images
 Skanpage is a simple scanning application designed for multi-page
 scanning and saving of documents and images.
 .
 Features:
 .
   - Scanning from flatbed and ADF scanners
   - Configurable options for scanning device
   - Reordering, rotation and deletion of scanned pages
   - Saving to multi-page PDF documents and image files

## skanpage 25.04.2

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015 by Kåre Särs <kare.sars@iki .fi>
# SPDX-FileCopyrightText: 2020 Alexander Stippich <a.stippich@gmx.net>
#
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Gear version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "04")
set (RELEASE_SERVICE_VERSION_MICRO "2")

set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(skanpage
        VERSION ${RELEASE_SERVICE_VERSION}
        LANGUAGES CXX)

set(QT_REQUIRED_VERSION "6.5.0")
set(KF_MIN_VERSION "6.9.0")

set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_STANDARD 17)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})
include(FeatureSummary)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMDeprecationSettings)

include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})


find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Qml QuickControls2 Concurrent Widgets Quick PrintSupport Pdf)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED
    COMPONENTS
        CoreAddons
        I18n
        Kirigami
        Crash
        Config
        Purpose
        XmlGui
        KIO
)
ecm_set_disabled_deprecation_versions(QT 6.8.0
     KF 6.12.0
)

find_package(KSaneCore6 "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}" REQUIRED)

find_package(KQuickImageEditor REQUIRED)

find_package(Tesseract 5 REQUIRED)
find_package(Leptonica REQUIRED)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX SKANPAGE
    VERSION_HEADER skanpage_version.h)

install(PROGRAMS org.kde.skanpage.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.skanpage.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(src)
add_subdirectory(icons)
#add_subdirectory(autotests)

ki18n_install(po)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
skanpage (25.04.2-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on qt6-webengine-dev
    - Limit build to architectures where QtWebEngine is available.

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Jun 2025 08:11:06 +0100

skanpage (25.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.1).
    - Reinsert id in export dialog. (kde#503277)
  * New upstream release (25.04.2).
    - Ensure correct url decoding when saving multiple images. (kde#503787)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Jun 2025 23:25:06 +0200

skanpage (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 12:04:43 +0100

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,22 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               extra-cmake-modules (>= 6.0.0~),
-               kquickimageeditor-dev,
-               libkf6config-dev (>= 6.0.0~),
-               libkf6coreaddons-dev (>= 6.0.0~),
-               libkf6crash-dev (>= 6.0.0~),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 6.9.0~),
+               kquickimageeditor-dev (>= 0.4.0~),
+               libkf6config-dev (>= 6.9.0~),
+               libkf6coreaddons-dev (>= 6.9.0~),
+               libkf6crash-dev (>= 6.9.0~),
                libkf6doctools-dev (>= 6.0.0~),
-               libkf6i18n-dev (>= 6.0.0~),
-               libkf6kio-dev,
-               libkf6purpose-dev (>= 6.0.0~),
-               libkf6xmlgui-dev (>= 6.0.0~),
-               libkirigami-dev (>= 6.0.0~),
-               libksanecore-dev (>= 25.04.1~),
+               libkf6i18n-dev (>= 6.9.0~),
+               libkf6kio-dev (>= 6.9.0~),
+               libkf6purpose-dev (>= 6.9.0~),
+               libkf6xmlgui-dev (>= 6.9.0~),
+               libkirigami-dev (>= 6.9.0~),
+               libksanecore-dev (>= 25.04~),
                libleptonica-dev,
                libtesseract-dev (>= 4~),
                qml6-module-org-kde-kquickimageeditor,
@@ -32,7 +32,7 @@
                qt6-declarative-dev (>= 6.5.0~),
                qt6-pdf-dev (>= 6.5.0~),
                qt6-webengine-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://apps.kde.org/skanpage
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanpage
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanpage

## skanpage 25.04.3

=== debian/changelog ===
skanpage (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:58:51 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.9.0~),
                kquickimageeditor-dev (>= 0.4.0~),
                libkf6config-dev (>= 6.9.0~),
@@ -20,7 +20,7 @@
                libkf6purpose-dev (>= 6.9.0~),
                libkf6xmlgui-dev (>= 6.9.0~),
                libkirigami-dev (>= 6.9.0~),
-               libksanecore-dev (>= 25.04~),
+               libksanecore-dev (>= 25.04.3~),
                libleptonica-dev,
                libtesseract-dev (>= 4~),
                qml6-module-org-kde-kquickimageeditor,

## skanpage 25.07.80

=== debian/changelog ===
skanpage (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:29:22 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf6purpose-dev (>= 6.9.0~),
                libkf6xmlgui-dev (>= 6.9.0~),
                libkirigami-dev (>= 6.9.0~),
-               libksanecore-dev (>= 25.04.3~),
+               libksanecore-dev (>= 25.07.80~),
                libleptonica-dev,
                libtesseract-dev (>= 4~),
                qml6-module-org-kde-kquickimageeditor,

## skanpage 25.07.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 
 # KDE Gear version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "04")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MINOR "07")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
@@ -55,7 +55,7 @@
         KIO
 )
 ecm_set_disabled_deprecation_versions(QT 6.8.0
-     KF 6.12.0
+     KF 6.14.0
 )
 
 find_package(KSaneCore6 "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}" REQUIRED)

=== debian/changelog ===
skanpage (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 18:04:23 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf6purpose-dev (>= 6.9.0~),
                libkf6xmlgui-dev (>= 6.9.0~),
                libkirigami-dev (>= 6.9.0~),
-               libksanecore-dev (>= 25.07.80~),
+               libksanecore-dev (>= 25.07.90~),
                libleptonica-dev,
                libtesseract-dev (>= 4~),
                qml6-module-org-kde-kquickimageeditor,

## skanpage 25.08.0

=== debian/changelog ===
skanpage (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 12:01:45 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf6purpose-dev (>= 6.9.0~),
                libkf6xmlgui-dev (>= 6.9.0~),
                libkirigami-dev (>= 6.9.0~),
-               libksanecore-dev (>= 25.07.90~),
+               libksanecore-dev (>= 25.08.0~),
                libleptonica-dev,
                libtesseract-dev (>= 4~),
                qml6-module-org-kde-kquickimageeditor,

## skanpage 25.08.1

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -35,6 +35,8 @@
     OCRLanguageModel.h
     ImageImport.cpp
     ImageImport.h
+    NameTemplateUtils.h
+    NameTemplateUtils.cpp
     qml.qrc
     )

=== debian/changelog ===
skanpage (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:14:40 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf6purpose-dev (>= 6.9.0~),
                libkf6xmlgui-dev (>= 6.9.0~),
                libkirigami-dev (>= 6.9.0~),
-               libksanecore-dev (>= 25.08.0~),
+               libksanecore-dev (>= 25.08.1~),
                libleptonica-dev,
                libtesseract-dev (>= 4~),
                qml6-module-org-kde-kquickimageeditor,

## skanpage 25.08.1+p24.04+vstable+git20250914.1730

=== debian/changelog ===
skanpage (25.08.1+p24.04+vstable+git20250914.1730-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 17:30:07 +0000

skanpage (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 12:02:52 +0000

skanpage (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 15:24:06 +0000

skanpage (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 23:58:42 +0000

skanpage (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:49:59 +0000

skanpage (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 06:14:03 +0000

skanpage (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:40:56 +0000

skanpage (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 16:13:26 +0000

skanpage (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:28:52 +0000

skanpage (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:38:00 +0000

skanpage (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 20:15:36 +0000

skanpage (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:39:42 +0000

skanpage (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 23:04:14 +0000

skanpage (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:36:19 +0000

skanpage (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:26:03 +0000

skanpage (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 13:12:03 +0000

skanpage (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:22:08 +0000

skanpage (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 05:21:06 +0000

skanpage (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:55:43 +0000

skanpage (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:31:47 +0000

skanpage (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 09:15:52 +0000

skanpage (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 18:09:06 +0000

skanpage (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:57:18 +0000

skanpage (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:40:33 +0000

skanpage (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 12:41:44 +0000

skanpage (23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 23:17:42 +0000

skanpage (23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2023 16:43:45 +0000

skanpage (22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 14:02:58 +0000

skanpage (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:41:20 +0000

skanpage (22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 17:16:33 +0000

skanpage (22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 13:22:59 +0000

skanpage (22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:45:42 +0000

skanpage (22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:57:44 +0000

skanpage (22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:53:55 +0000

skanpage (22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Jun 2021 10:55:01 +0000

## skanpage 25.08.1+p24.04+vstable+git20251001.0049

=== debian/changelog ===
skanpage (25.08.1+p24.04+vstable+git20251001.0049-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 00:49:56 +0000

## skanpage 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 
 # KDE Gear version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "07")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
skanpage (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:59:49 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf6purpose-dev (>= 6.9.0~),
                libkf6xmlgui-dev (>= 6.9.0~),
                libkirigami-dev (>= 6.9.0~),
-               libksanecore-dev (>= 25.08.1~),
+               libksanecore-dev (>= 25.08.2~),
                libleptonica-dev,
                libtesseract-dev (>= 4~),
                qml6-module-org-kde-kquickimageeditor,

## skanpage 25.08.2+p24.04+vstable+git20251012.0431

=== debian/changelog ===
skanpage (25.08.2+p24.04+vstable+git20251012.0431-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 04:31:59 +0000

skanpage (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:29:01 +0000

=== debian/control ===
Source: skanpage
Section: kde
Priority: optional
Build-Depends: cmake,
               cmark,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami2-dev,
               kf6-kxmlgui-dev,
               kf6-purpose-dev,
               kquickimageeditor-dev,
               libksane-dev,
               libksanecore-dev,
               libleptonica-dev,
               libtesseract-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/skanpage/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/skanpage.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/skanpage
Maintainer: Neon CI <neon@kde.org>

Package: skanpage
Architecture: any
Depends: qml6-module-org-kde-kirigami2,
         qml6-module-org-kde-kquickimageeditor,
         qml6-module-qt-labs-platform,
         qml6-module-qt-labs-settings,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends}
Description: scanning application designed for multi-page scanning
 Skanpage is a simple scanning application designed for multi-page 
 scanning and saving of documents and images.

## skanpage 25.08.2+p24.04+vstable+git20251031.1028

=== debian/changelog ===
skanpage (25.08.2+p24.04+vstable+git20251031.1028-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 10:28:35 +0000

## skanpage 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # KDE Gear version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
skanpage (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:30:33 +0000

=== debian/control ===
Source: skanpage
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.9.0~),
               kquickimageeditor-dev (>= 0.4.0~),
               libkf6config-dev (>= 6.9.0~),
               libkf6coreaddons-dev (>= 6.9.0~),
               libkf6crash-dev (>= 6.9.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.9.0~),
               libkf6kio-dev (>= 6.9.0~),
               libkf6purpose-dev (>= 6.9.0~),
               libkf6xmlgui-dev (>= 6.9.0~),
               libkirigami-dev (>= 6.9.0~),
               libksanecore-dev (>= 25.08.3~),
               libleptonica-dev,
               libtesseract-dev (>= 4~),
               qml6-module-org-kde-kquickimageeditor,
               qml6-module-org-kde-purpose (>= 6.0.0~),
               qml6-module-qt-labs-platform (>= 6.5.0~),
               qml6-module-qtquick-dialogs (>= 6.5.0~),
               qml6-module-qtquick-window (>= 6.5.0~),
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-pdf-dev (>= 6.5.0~),
               qt6-webengine-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/skanpage
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanpage
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanpage
Rules-Requires-Root: no

Package: skanpage
Architecture: amd64 arm64 armhf
Depends: qml6-module-qtqml-workerscript,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Multi-page scanning and saving of documents and images
 Skanpage is a simple scanning application designed for multi-page
 scanning and saving of documents and images.
 .
 Features:
 .
   - Scanning from flatbed and ADF scanners
   - Configurable options for scanning device
   - Reordering, rotation and deletion of scanned pages
   - Saving to multi-page PDF documents and image files

## skanpage 25.08.3+p24.04+vunstable+git20251123.1346

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Gear version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
@@ -54,8 +54,8 @@
         XmlGui
         KIO
 )
-ecm_set_disabled_deprecation_versions(QT 6.8.0
-     KF 6.14.0
+ecm_set_disabled_deprecation_versions(QT 6.9.0
+     KF 6.18.0
 )
 
 find_package(KSaneCore6 "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}" REQUIRED)

=== debian/changelog ===
skanpage (25.08.3+p24.04+vunstable+git20251123.1346-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 13:46:19 +0000

skanpage (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:33:56 +1000

## skanpage 25.08.3+p24.04+vunstable+git20251206.0746

=== debian/changelog ===
skanpage (25.08.3+p24.04+vunstable+git20251206.0746-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 07:46:21 +0000

## skanpage 25.08.3+p24.04+vunstable+git20251208.0518

=== debian/changelog ===
skanpage (25.08.3+p24.04+vunstable+git20251208.0518-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 05:18:18 +0000

## skanpage 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Gear version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "26")
-set (RELEASE_SERVICE_VERSION_MINOR "03")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "80")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
skanpage (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 08:04:26 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf6purpose-dev (>= 6.9.0~),
                libkf6xmlgui-dev (>= 6.9.0~),
                libkirigami-dev (>= 6.9.0~),
-               libksanecore-dev (>= 25.08.3~),
+               libksanecore-dev (>= 25.11.80~),
                libleptonica-dev,
                libtesseract-dev (>= 4~),
                qml6-module-org-kde-kquickimageeditor,

## skanpage 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # KDE Gear version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
skanpage (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:19:10 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf6purpose-dev (>= 6.9.0~),
                libkf6xmlgui-dev (>= 6.9.0~),
                libkirigami-dev (>= 6.9.0~),
-               libksanecore-dev (>= 25.11.80~),
+               libksanecore-dev (>= 25.11.90~),
                libleptonica-dev,
                libtesseract-dev (>= 4~),
                qml6-module-org-kde-kquickimageeditor,

## skanpage 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 
 # KDE Gear version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
skanpage (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:39:25 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf6purpose-dev (>= 6.9.0~),
                libkf6xmlgui-dev (>= 6.9.0~),
                libkirigami-dev (>= 6.9.0~),
-               libksanecore-dev (>= 25.11.90~),
+               libksanecore-dev (>= 25.12.0~),
                libleptonica-dev,
                libtesseract-dev (>= 4~),
                qml6-module-org-kde-kquickimageeditor,

## skanpage 25.12.1

=== debian/changelog ===
skanpage (25.12.1-0ubuntu2) resolute; urgency=medium

  * Add amd64v3 to build architectures.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Jan 2026 08:52:58 +0000

skanpage (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:19:54 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf6purpose-dev (>= 6.9.0~),
                libkf6xmlgui-dev (>= 6.9.0~),
                libkirigami-dev (>= 6.9.0~),
-               libksanecore-dev (>= 25.12.0~),
+               libksanecore-dev (>= 25.12.1~),
                libleptonica-dev,
                libtesseract-dev (>= 4~),
                qml6-module-org-kde-kquickimageeditor,
@@ -39,7 +39,7 @@
 Rules-Requires-Root: no
 
 Package: skanpage
-Architecture: amd64 arm64 armhf
+Architecture: amd64 amd64v3 arm64 armhf
 Depends: qml6-module-qtqml-workerscript,
          ${misc:Depends},
          ${qml6:Depends},

## skanpage 25.12.1+p24.04+vstable+git20260130.0932

=== debian/changelog ===
skanpage (25.12.1+p24.04+vstable+git20260130.0932-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:32:52 +0000

skanpage (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:18:09 +1000

skanpage (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:29:44 +1000

## skanpage 25.12.1+p24.04+vstable+git20260205.0553

=== debian/changelog ===
skanpage (25.12.1+p24.04+vstable+git20260205.0553-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 05:53:48 +0000

## skanpage 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # KDE Gear version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
skanpage (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:33:24 +0000

skanpage (25.12.1-0ubuntu3) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 23:14:36 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf6purpose-dev (>= 6.9.0~),
                libkf6xmlgui-dev (>= 6.9.0~),
                libkirigami-dev (>= 6.9.0~),
-               libksanecore-dev (>= 25.12.1~),
+               libksanecore-dev (>= 25.12.2~),
                libleptonica-dev,
                libtesseract-dev (>= 4~),
                qml6-module-org-kde-kquickimageeditor,
